/*
 *
 *
 *    enums.h
 *
 *    License: GNU General Public License Version 3.0.
 *    
 *    Copyright (C) 2016-2017 by Matthew K. Roberts, KK5JY. All rights reserved.
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *    
 *    This program is distributed in the hope that it will be useful, but
 *    WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *    General Public License for more details.
 *    
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see: http://www.gnu.org/licenses/
 *
 *
 */


#ifndef __KK5JY_RTTY_ENUMS_H
#define __KK5JY_RTTY_ENUMS_H

// define the types of encoding
typedef enum {
	Baudot, // 5N2 ITA-2 Baudot
	ASCII7, // 7N2 ASCII
	ASCII8  // 8N2 ASCII
} Encodings;

// define the polarity reversals
typedef enum {
	RevNone = 0,
	RevRX = 1,
	RevTX = 2,
	RevBoth = 3
} Reversals;

#endif
